Bug 61336 - emacs does not load files from a command line
emacs does not load files from a command line
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-17 20:09 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 10:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-03-17 20:09:10 EST
Description of Problem:

An attempt to start emacs like that 'emacs -nw file.txt' results
in a message:

Invalid read syntax: ") or . in a vector"

and 'file.txt' is not loaded.  One ends in a *scratch* buffer.

As far as I can see this complaint is coming from (byte-compile-file)
or at least from some function called by it.

After emacs started (find-file) called interactively works.
Comment 1 Trond Eivind Glomsrxd 2002-03-18 12:29:48 EST
Alpha-specific - reassigning.
Comment 2 Michal Jaegermann 2002-04-14 19:11:51 EDT
It is not really Alpha specific.  The following three files are corrupted:

- /usr/share/emacs/20.7/leim/leim-list.el
- /usr/share/emacs/20.7/lisp/emacs-lisp/bytecomp.elc
- /usr/share/emacs/site-lisp/python-mode.elc

'leim-list.el' is _different_ than one from RH 7.2 for x86 and contains
an obvious garbage like that:
 (register-input-method
  "hebrew" "Hebrew" 'quail-u11-22  Neil Booth  <neilb@earthling.net>
 
 	* cpplex.c (trigraph_l/hebrew")

Replacing it and byte-recompiling two other files solves emacs startup
troubles.
Comment 3 Michal Jaegermann 2002-04-14 19:19:29 EDT
I should add that I do not know if other elc files are not shot.
Those listed above were just those which I found trying to start
emacs and to recompile buggered python-mode.elc
Comment 4 Phil Copeland 2002-04-14 22:56:24 EDT
Trond, your ball. Fix it.
Comment 5 Trond Eivind Glomsrxd 2002-04-15 10:14:12 EDT
This was never a problem on x86. Alpha specific, not my problem.
Comment 6 Trond Eivind Glomsrxd 2002-04-15 10:14:55 EDT
(as in: Just rebuild the thing :) We were told not to do alpha specific bugs)
Comment 7 Phil Copeland 2002-04-17 19:28:36 EDT
I've checked this out. There is nothing wrong with the package as it stands at
this moment. 
emacs -nm <file> works out of the box and is not corrupted. I do not know if
this was simply rebuilt befire I got to look at.

Closing

Note You need to log in before you can comment on or make changes to this bug.